package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel("领用归还记录")
public class AioUserecordVo {

    @ApiModelProperty(value = "实验室ID")
    private Long subId;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "记录ID")
    private Long userecordId;

    @ApiModelProperty(value = "查询类型：1 领用（默认），2 归还")
    private Integer type = 1;

    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;

    @ApiModelProperty(value = "化学品编号")
    private String chemicalNum;

    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @ApiModelProperty(value = "化学品单位")
    private String chemicalUnit;

    @ApiModelProperty(value = "领用时剩余库存")
    private BigDecimal collectStockNum;

    @ApiModelProperty(value = "领用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    @ApiModelProperty(value = "领用状态（1是使用中，0是已归还，2是超时未归还）")
    private Integer useStatus;

    @ApiModelProperty(value = "归还时称重重量")
    private BigDecimal returnStockNum;

    @ApiModelProperty(value = "使用量")
    private String useStockNum;

    @ApiModelProperty(value = "归还时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date returnTime;

    public Long getUserecordId() {
        return userecordId;
    }

    public void setUserecordId(Long userecordId) {
        this.userecordId = userecordId;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public BigDecimal getCollectStockNum() {
        return collectStockNum;
    }

    public void setCollectStockNum(BigDecimal collectStockNum) {
        this.collectStockNum = collectStockNum;
    }

    public Date getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(Date collectTime) {
        this.collectTime = collectTime;
    }

    public Integer getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    public BigDecimal getReturnStockNum() {
        return returnStockNum;
    }

    public void setReturnStockNum(BigDecimal returnStockNum) {
        this.returnStockNum = returnStockNum;
    }

    public Date getReturnTime() {
        return returnTime;
    }

    public void setReturnTime(Date returnTime) {
        this.returnTime = returnTime;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getChemicalUnit() {
        return chemicalUnit;
    }

    public void setChemicalUnit(String chemicalUnit) {
        this.chemicalUnit = chemicalUnit;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getChemicalNum() {
        return chemicalNum;
    }

    public void setChemicalNum(String chemicalNum) {
        this.chemicalNum = chemicalNum;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getUseStockNum() {
        return useStockNum;
    }

    public void setUseStockNum(String useStockNum) {
        this.useStockNum = useStockNum;
    }
}
